# Source code for azure.mgmt.batch.models.batch_account_regenerate_key_result

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class BatchAccountRegenerateKeyResult(Model):
        """Values returned by the RegenerateKey operation.

        :param primary: The primary key associated with the account.
        :type primary: str
        :param secondary: The secondary key associated with the account.
        :type secondary: str
        """

        _attribute_map = {
            'primary': {'key': 'primary', 'type': 'str'},
            'secondary': {'key': 'secondary', 'type': 'str'},
        }

        def __init__(self, primary=None, secondary=None):
            self.primary = primary
            self.secondary = secondary